easy_admin:
    entities:
        About:
            controller: App\Controller\Admin\AboutAdminController
            class: App\Entity\About

            form:
                role: ROLE_WRITER
                fields:
                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.about.text'
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'content'
                      label : 'label.content'
                      type: 'FOS\CKEditorBundle\Form\Type\CKEditorType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.seo'
                    -
                      property: 'seo'
                      label: 'label.seo'
                      type: 'App\Form\SeoType'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.about.image'
                    -
                      property: 'imageFile'
                      label: 'label.image.about'
                      base_path: '/uploads/about'
                      template: 'vich_uploader_image.html.twig'

                    -
                      type: 'group'
                      css_class: 'col-sm-6'
                      label: 'tab.about.display'
                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'

                    -
                      type: 'group'
                      css_class: 'col-sm-12'
                      label: 'tab.about.headers'
                    -
                      property: 'headers'
                      label: 'label.headers'
                      type: 'App\Form\HeadersType'

            list:
                role: ROLE_VISITOR
                dql_filter: "entity.isDeleted = false"
                fields:
                    -
                      property: 'id'
                      label: 'label.id'
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'display'
                      label: 'label.display'
                      type: 'toggle'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'
                      type: 'toggle'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'
                    -
                      property: 'updatedBy'
                      label: 'label.updatedBy'

            show:
                role: ROLE_VISITOR
                fields:
                    -
                      property: 'title'
                      label: 'label.title'
                    -
                      property: 'subTitle'
                      label: 'label.subTitle'
                    -
                      property: 'content'
                      label: 'label.content'


                    -
                      property: 'seo'
                      label: 'label.seo'
                      template: 'seo_field_type.html.twig'


                    -
                      property: 'image'
                      label: 'label.image.label'
                      type: 'image'
                      base_path: '/uploads/about'


                    -
                      property: 'display'
                      label: 'label.display'
                    -
                      property: 'displayHome'
                      label: 'label.displayHome'


                    -
                      property: 'createdAt'
                      label: 'label.createdAt'
                    -
                      property: 'updatedAt'
                      label: 'label.updatedAt'
                    -
                      property: 'createdBy'
                      label: 'label.createdBy'
                    -
                      property: 'updatedBy'
                      label: 'label.updatedBy'

            new:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: true
            edit:
                role: ROLE_WRITER
                fields:
                    - property: 'imageFile'
                      type: 'vich_image'
                      type_options:
                        required: false

            delete:
                role: ROLE_ADMIN